Last Comment Bug 850734 - For 3/18: Please CTP block 11.0.*-11.2.202.275 (not including 275)
: For 3/18: Please CTP block 11.0.*-11.2.202.275 (not including 275)
Status: VERIFIED FIXED
[plugin]
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Paul Silaghi, QA [:pauly]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 09:55 PDT by Alex Keybl [:akeybl]
Modified: 2016-03-07 15:30 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Alex Keybl [:akeybl] 2013-03-13 09:55:39 PDT
Versions of Firefox: 19 and up
Versions of Flash: 11.0.* up to, but not including, 11.2.202.275

The most similar block appears to be https://addons.mozilla.org/firefox/blocked/p178, but requires some modification.

We'd like to roll this out on 3/18, so please stage/test prior.
Comment 1 Jorge Villalobos [:jorgev] 2013-03-13 15:51:01 PDT
Are you okay with changing p178 so that it meets these requirements, or should I split it into 2 blocks, one for 0 - 11.2.202.274.* (19 and up) and another one for 11.2.202.275 - 11.4.402.286.* (20 and up)?
Comment 2 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-14 06:56:09 PDT
Setting myself as QA Contact. Be advised that I am working on EST (GMT+4) today, Friday, and Monday, unavailable on Tuesday, and back to PST (GMT+7) on Wednesday. Paul Silaghi (Softvision) can take care of any overnight testing, as required.
Comment 3 Alex Keybl [:akeybl] 2013-03-14 10:52:10 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #1)
> Are you okay with changing p178 so that it meets these requirements, or
> should I split it into 2 blocks, one for 0 - 11.2.202.274.* (19 and up) and
> another one for 11.2.202.275 - 11.4.402.286.* (20 and up)?

I'd prefer we split it up, so that we don't lose CTP testing on 11.2-11.4 on beta.
Comment 4 Jorge Villalobos [:jorgev] 2013-03-14 13:55:29 PDT
The updated block is staged now. The new block for 11.2.202.275 - 11.4.402.286.* is covered in bug 851198.
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-14 13:58:51 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #4)
> The updated block is staged now. The new block for 11.2.202.275 -
> 11.4.402.286.* is covered in bug 851198.

Due to caching I will not have time to test this today. Paul, can you please make sure this gets tested overnight? Thank you.
Comment 6 Paul Silaghi, QA [:pauly] 2013-03-15 07:17:05 PDT
Flash 11.0, 11.1, 11.2 is CTP blocked on staging on FF 19.0.2, 20b5.
Flash 11.2.202.275 is available only for Linux, so I couldn't test it's not blocked.
http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html
Tested on Win and Mac.
Comment 7 David Keeler [:keeler] (use needinfo?) 2013-03-15 10:28:33 PDT
I recall there being an issue on Linux where the Flash plugin doesn't report the full version number, so all we have to go on is "11.2.202", for example (for what it's worth, Flash isn't blocked on my Linux machine).
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-15 11:03:47 PDT
> https://addons-dev.mozilla.org/firefox/blocked/p178
Blocks 11.0 -> 11.2.202.274
> https://addons-dev.allizom.org/firefox/blocked/p299
Blocks 11.2.202.275 -> 11.4.402.286

Looking at my about:plugins, Flash version on Linux is reported as "Shockwave Flash 11.2 r202".

Complete details from Firefox 22.0a1 with Flash 11.2r202 in Ubuntu 12.04:
>    File: libflashplayer.so
>    Path: /usr/lib/flashplugin-installer/libflashplayer.so
>    Version: 
>    State: Enabled
>    Shockwave Flash 11.2 r202

Blocklist.xml:
> <pluginItem  blockID="p178">
>   <match name="filename" exp="(NPSWF[0-9_]*\.dll)|(Flash\ Player\.plugin)" />
>   <versionRange  minVersion="11.0" maxVersion="11.2.202.274.9999" severity="0" vulnerabilitystatus="1">
>     <targetApplication  id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}">
>       <versionRange  minVersion="19.0a1" maxVersion="*" />
>     </targetApplication>
>   </versionRange>
> </pluginItem>

> <pluginItem  blockID="p299">
>   <match name="filename" exp="(NPSWF[0-9_]*\.dll)|(Flash\ Player\.plugin)" />
>   <versionRange  minVersion="11.2.202.275" maxVersion="11.4.402.286.9999" severity="0" vulnerabilitystatus="1">
>     <targetApplication  id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}">
>       <versionRange  minVersion="21.0a1" maxVersion="*" />
>     </targetApplication>
>   </versionRange>
> </pluginItem>

Given the above blocklist entries and the plugin info from about:plugins, I would not expect this block to be working on Linux.

Jorge, would it be possible to create a separate block for Linux?
Comment 9 Jorge Villalobos [:jorgev] 2013-03-15 15:52:08 PDT
We're generally avoiding blocks on Linux because of the bad plugin version reporting and the fact that the user population is very small. The only alternative is to use regular expression checking for the description or name, which is complicated and error-prone. We include Linux in Java blocks because we have to do regular expression testing for all platforms anyway.
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-18 05:39:28 PDT
Thanks Jorge. Given Paul's testing earlier and your explanation of the current situation on Linux I think we can move forward with this today. Final word goes to Release Management.
Comment 11 Alex Keybl [:akeybl] 2013-03-18 07:56:25 PDT
Win/Mac only for now will do the trick. Good to go whenever you all are! Thanks for testing.
Comment 12 Jorge Villalobos [:jorgev] 2013-03-18 09:54:00 PDT
This is fixed in prod now.

Updated block for 19 and above (11.0 - 11.2.202.274.9999)
https://addons.mozilla.org/firefox/blocked/p178

New block for 20 and above (11.2.202.275 - 11.4.402.286.9999)
https://addons.mozilla.org/firefox/blocked/p316
Comment 13 Paul Silaghi, QA [:pauly] 2013-03-19 00:10:02 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #12)
> New block for 20 and above (11.2.202.275 - 11.4.402.286.9999)
> https://addons.mozilla.org/firefox/blocked/p316
But wasn't p299 in bug 851198 scheduled only on 3/27 for FF 21 and up ?
Comment 14 Paul Silaghi, QA [:pauly] 2013-03-19 06:00:19 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #12)
> This is fixed in prod now.
> 
> Updated block for 19 and above (11.0 - 11.2.202.274.9999)
> https://addons.mozilla.org/firefox/blocked/p178
Verified fixed

> New block for 20 and above (11.2.202.275 - 11.4.402.286.9999)
> https://addons.mozilla.org/firefox/blocked/p316
This works as described here, but I'm not convinced is set correctly. Please clarify comment 13.
Comment 15 Jorge Villalobos [:jorgev] 2013-03-19 08:49:08 PDT
(In reply to Paul Silaghi [QA] from comment #13)
> (In reply to Jorge Villalobos [:jorgev] from comment #12)
> > New block for 20 and above (11.2.202.275 - 11.4.402.286.9999)
> > https://addons.mozilla.org/firefox/blocked/p316
> But wasn't p299 in bug 851198 scheduled only on 3/27 for FF 21 and up ?

Comment #1 and comment #3 have the details. We had one big block for beta, and now it's split into two blocks, one for release and one for beta. bug 851198 is about bumping the beta block to the next beta so it doesn't apply to release.

Note You need to log in before you can comment on or make changes to this bug.